Subject: Re: lang/perl58 configure fails
To: Anthony Chavez <>
From: Todd Vierling <>
List: tech-pkg
Date: 03/23/2005 15:05:12
On Tue, 22 Mar 2005, Anthony Chavez wrote:

> Below you'll find all the relevant info.

I can't respond about the OpenBSD problem as I have no system on which to
test, but:

> On a related note, I'd rather not install perl from pkgsrc, and instead
> use perl from the base OS (5.8.5), but combing through the
> infrastructure (mk/) and the package's Makefile reveals no clear way to
> do this.  Is it possible?

No.  This is disallowed because it causes many problems of consistency when
it comes to the installed locations (and configuration) of Perl modules from
pkgsrc.  pkgsrc requires that its perl be used so that the installed files
can configured and installed in a way that the pkg_* tools can find them

-- Todd Vierling <> <>